Bug 201268 - openssh specfile incorrect
openssh specfile incorrect
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 17:56 EDT by Samuel Stringham
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 02:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remedy problem (996 bytes, patch)
2006-08-03 17:56 EDT, Samuel Stringham
no flags Details | Diff

  None (edit)
Description Samuel Stringham 2006-08-03 17:56:21 EDT
Description of problem:
When attempting to compile the openssh suite from source RPM, the specfile is
incorrect.  If you attempt to compile with the option:
 --define 'WITH_SELINUX 0'
it fails with the following error:

error: parse error in expression
error: /usr/src/redhat/SPECS/openssh.spec:156: parseExpressionBoolean returns -1
error: Package has no %description: openssh

This is due to the fact that WITH_AUDIT is not defined if WITH_SELINUX is 0.

Version-Release number of selected component (if applicable):
Version 3.9p1-8.RHEL4.12

How reproducible:
100%

Steps to Reproduce:
1. up2date -d --get --src openssh
2. rpm -ivh /var/spool/up2date/openssh-3*src.rpm
3. rpmbuild -ba --define 'WITH_SELINUX 0' /usr/src/redhat/SPECS/openssh.spec
  
Actual results:

error: parse error in expression
error: /usr/src/redhat/SPECS/openssh.spec:156: parseExpressionBoolean returns -1
error: Package has no %description: openssh

Expected results:

I expected a functional compilation.

Additional info:
Patch attached
Comment 1 Samuel Stringham 2006-08-03 17:56:23 EDT
Created attachment 133587 [details]
Patch to remedy problem
Comment 2 Tomas Mraz 2006-08-04 02:07:41 EDT
This problem will be resolved in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.
Comment 3 Samuel Stringham 2006-08-04 11:22:04 EDT
I understand RedHat's stance against making changes that would impose risk on
its customer base.  However, in this case I would like to appeal the decision
based on a couple items:

1: The patch is trivial.  It does not add/remove code or functionality.
2: openssh-server fails to log to wtmp if a kernel is built without SELinux
support.  This can present a security risk for those customers that do not/can
not use SELinux, and the audit support built in.

Might it be more appropriate to just roll this into the next security/quarterly
update to openssh?

Best,

Samuel
Comment 4 Tomas Mraz 2006-08-04 11:34:31 EDT
The problem 2 will be resolved in the package which is planned to be released as
a part of the RHEL4 U4 update release.

Note You need to log in before you can comment on or make changes to this bug.